Subsail Help Docs

Search...
K

Get a subscriber

Get a subscriber

Overview

Get a subscriber

gethttps://api.subsail.com/v1/subscribers/{id}/

Request parameters

idstringRequired

path

Resource ID (alphanumeric).

Request body

No request body.

Request examples

No request body.

Responses

200Subscriber
idstring

Subscriber ID.

first_namestring
last_namestring
full_namestring
emailstring
latest_countrystring
latest_order_datedate
has_active_subscriptionboolean
subscription_countnumber
ltvstring

Lifetime value (account currency).

ltv_currencystring

ISO currency code for ltv (account selling currency).

date_createddate

Example

JSON
{
  "id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "full_name": "<string>",
  "email": "<string>",
  "latest_country": "<string>",
  "latest_order_date": "<date>",
  "has_active_subscription": "<boolean>",
  "subscription_count": "<number>",
  "ltv": "<string>",
  "ltv_currency": "<string>",
  "date_created": "<date>"
}
401Missing or invalid API key (empty response body).
403Account is inactive (empty response body).
404Resource not found
errorbooleanRequired
messagestringRequired
codestring

Machine-readable code, e.g. read_only_key for read-only key write attempts.

Example

JSON
{
  "error": "<boolean>",
  "message": "<string>",
  "code": "<string>"
}

© Subsail Help Docs

Powered by Basedoc